[MIR] haproxy

Bug #591006 reported by Clint Byrum on 2010-06-07
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
haproxy (Ubuntu)
High
Unassigned
Maverick
High
Unassigned

Bug Description

Binary package hint: haproxy

Availability:

 Package has been in universe since Hardy.

Rationale:

 * HAProxy is considered to be one of the best app level load balancers available.
 * MIR is marked as a requirement for maverick alpha2 in https://blueprints.launchpad.net/ubuntu/+spec/server-maverick-uds-cloud-loadbalancing

Security:

 * No CVE's or vulnerabilities listed in the usual place. Further searches turn up no previous security problems.
 * Disabled by default, must be enabled by editing /etc/default/haproxy.
 * The ports opened in the default configuration are 10001 thru 10005, and 8443. On connecting to those ports, these attempt to connect to non-routable IP's of backend servers that may or may not exist, so this config file may need to be moved to an examples directory.

Quality assurance:

 * There are no important bug reports against haproxy in Debian or Ubuntu
 * The debian package has been well maintained and has stayed quite close to upstream.

UI standards: (generally only for user-facing applications)

 N/A

Dependencies:

 * All are in main.

Standards compliance:

 * Packaging is very straight forward and package appears to comply with policy upon cursory examination.

Maintenance:

 * Package produces a single binary package, that includes a single binary, a daemon that uses a single config file.

Background information:

 HAProxy is quite mature, as is its debian package.

Related branches

Alexander Sack (asac) on 2010-06-28
Changed in haproxy (Ubuntu):
assignee: nobody → Kees Cook (kees)
Changed in haproxy (Ubuntu):
milestone: none → maverick-alpha-3
Kees Cook (kees) wrote :

The endless use of memcpy in the code makes me a little nervous, but quick spot-checking didn't show anything obviously wrong. +1. It would be nice to add the regression tests in tests/ to the build, but it looks like upstream doesn't even include documentation on how to run them.

Changed in haproxy (Ubuntu):
status: New → In Progress
assignee: Kees Cook (kees) → nobody
Mathias Gug (mathiaz) on 2010-07-09
Changed in haproxy (Ubuntu):
assignee: nobody → Clint Byrum (clint-fewbar)
importance: Undecided → Wishlist
Clint Byrum (clint-fewbar) wrote :

The haproxy tests should definitely be more of a "suite" that one can run, but they are at this point just tools to make testing behavior easier while developing/debugging. Note that some are just a .cfg file for haproxy which you can start it up with, and observe the proper behavior with tcpdump. Not the sort of things we can rely on for automated build regression tests I'm afraid.

I will go ahead and seed haproxy into platform.maverick/server-misc-servers

Changed in haproxy (Ubuntu):
status: In Progress → Fix Committed
assignee: Clint Byrum (clint-fewbar) → nobody
status: Fix Committed → Fix Released
Matthias Klose (doko) wrote :

still in universe. please promote, or remove it from the seed.

Changed in haproxy (Ubuntu):
importance: Wishlist → High
milestone: maverick-alpha-3 → ubuntu-10.10
status: Fix Released → In Progress
Matthias Klose (doko) wrote :

confirmed with kees to promote

2010-09-20 20:36:08 INFO Override Component to: 'main'
2010-09-20 20:36:17 INFO 'haproxy - 1.4.8-1/universe/net' source overridden
2010-09-20 20:36:17 INFO 'haproxy-1.4.8-1/universe/net/OPTIONAL' binary overridden in maverick/amd64
2010-09-20 20:36:17 INFO 'haproxy-1.4.8-1/universe/net/OPTIONAL' binary overridden in maverick/armel
2010-09-20 20:36:17 INFO 'haproxy-1.4.8-1/universe/net/OPTIONAL' binary overridden in maverick/i386
2010-09-20 20:36:17 INFO 'haproxy-1.4.8-1/universe/net/OPTIONAL' binary overridden in maverick/powerpc

Changed in haproxy (Ubuntu Maverick):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers